# Uses of Class
javax.sound.sampled.LineEvent.Type

Packages that use LineEvent.Type
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of LineEvent.Type in javax.sound.sampled

Fields in javax.sound.sampled declared as LineEvent.Type
Modifier and Type
Field
Description
`static final LineEvent.Type`
LineEvent.Type.`CLOSE`
A type of event that is sent when a line closes, freeing the system resources it had obtained when it was opened.
`static final LineEvent.Type`
LineEvent.Type.`OPEN`
A type of event that is sent when a line opens, reserving system resources for itself.
`static final LineEvent.Type`
LineEvent.Type.`START`
A type of event that is sent when a line begins to engage in active input or output of audio data in response to a `start` request.
`static final LineEvent.Type`
LineEvent.Type.`STOP`
A type of event that is sent when a line ceases active input or output of audio data in response to a `stop` request, or because the end of media has been reached.
Methods in javax.sound.sampled that return LineEvent.Type
Modifier and Type
Method
Description
`final LineEvent.Type`
LineEvent.`getType()`
Obtains the event's type.
Constructors in javax.sound.sampled with parameters of type LineEvent.Type
Modifier
Constructor
Description
``
`LineEvent(Line line, LineEvent.Type type, long position)`
Constructs a new event of the specified type, originating from the specified line.